## mercurial-keyring 0.5.5

=== debian/changelog ===
mercurial-keyring (0.5.5-1) unstable; urgency=low

  * Initial release. (Closes: #568472)

 -- Christoph Mathys <eraserix@gmail.com>  Sun, 24 Mar 2013 11:01:18 +0100

## mercurial-keyring 1.4.4

=== Makefile ===
# This makefile is used only for running pytype checks.
#
# To prepare:
#     sudo apt install ninja
#     pip install pytype
#
# To run checks:
#     make pytype
#
# Usually you will set
#      HGPATH - to Mercurial sources directory
#      MEUPATH - to mercurial_extension_utils directory
# unless defaults below are OK

PYTHON = python
PYTYPE = pytype
PYTHON_VERSION = $(shell $(PYTHON) -c 'import sys; print("{0.major}.{0.minor}".format(sys.version_info))')

HGPATH  ?= ../../mercurial_tracked/hg-stable
MEUPATH ?= ../extension_utils

ifneq ($(HGPATH),)
export PYTHONPATH := $(realpath $(HGPATH)):$(PYTHONPATH)
endif
ifneq ($(MEUPATH),)
export PYTHONPATH := $(realpath $(MEUPATH)):$(PYTHONPATH)
endif


.PHONY: help
help:
	@echo 'Commonly used make targets:'
	@echo '  pytype       - run pytype checks on the source tree'

.PHONY: pytype
pytype:
	@ # [ -n "$(HGPATH)" ] || { echo "HGPATH not specified"; false; }
	@ # [ -d "$(HGPATH)" ] || { echo "HGPATH not found: $(HGPATH)"; false; }
	$(PYTYPE) -P ".:$(HGPATH):$(MEUPATH)" -V "$(PYTHON_VERSION)" -j auto \
		--config pytype.cfg
	@echo 'pytype crashed while generating the following type stubs:'
	find .pytype/pyi -name '*.pyi' | xargs grep -l '# Caught error' | sort

.PHONY: clean
clean:
	$(PYTHON) setup.py clean
	$(RM) -R .pytype

## mercurial-keyring 0.6.1

=== debian/changelog ===
mercurial-keyring (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Christoph Mathys <eraserix@gmail.com>  Fri, 04 Oct 2013 18:34:26 +0200

=== debian/control ===
Source: mercurial-keyring
Section: python
Priority: optional
Maintainer: Christoph Mathys <eraserix@gmail.com>
Build-Depends: debhelper (>= 8), python-all, python-setuptools
Standards-Version: 3.9.4
Homepage: http://pypi.python.org/pypi/mercurial_keyring
X-Python-Version: >= 2.4

Package: mercurial-keyring
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, mercurial
Description: Mercurial Keyring Extension
 mercurial_keyring is a Mercurial extension used to securely save HTTP
 and SMTP authentication passwords in password databases (GNOME Keyring,
 KDE KWallet, OSXKeyChain, specific solutions for Win32 and command line).
 This extension uses and wraps services of the keyring library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/m/mercurial_keyring/mercurial_keyring-(.+)\.tar\.gz

## mercurial-keyring 0.6.2

=== debian/changelog ===
mercurial-keyring (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Policy bumped to 3.9.5 without changes.
  * Debhelper level set to 9.

 -- Christoph Mathys <eraserix@gmail.com>  Sun, 13 Apr 2014 14:31:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Christoph Mathys <eraserix@gmail.com>
-Build-Depends: debhelper (>= 8), python-all, python-setuptools
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), python-all, python-setuptools
+Standards-Version: 3.9.5
 Homepage: http://pypi.python.org/pypi/mercurial_keyring
 X-Python-Version: >= 2.4

## mercurial-keyring 0.6.7

=== debian/changelog ===
mercurial-keyring (0.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Update packaging to use dh-python and pybuild.
  * Policy bumped to 3.9.6 without changes.
  * Update watch file to accomodate changes on pypi.

 -- Christoph Mathys <eraserix@gmail.com>  Mon, 02 Mar 2015 19:09:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Christoph Mathys <eraserix@gmail.com>
-Build-Depends: debhelper (>= 9), python-all, python-setuptools
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-setuptools, dh-python
+Standards-Version: 3.9.6
 Homepage: http://pypi.python.org/pypi/mercurial_keyring
 X-Python-Version: >= 2.4

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME="mercurial-keyring"

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3
opts="filenamemangle=s/\S+\/([^\/]+\.tar\.gz)#md5=[[:alnum:]]+$/$1/" \
https://pypi.python.org/simple/mercurial-keyring/ \
\S+/mercurial_keyring-(\S+)\.tar\.gz#md5=[[:alnum:]]+

## mercurial-keyring 1.1.5

=== debian/changelog ===
mercurial-keyring (1.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Christoph Mathys <eraserix@gmail.com>  Thu, 18 Aug 2016 19:23:18 +0200

mercurial-keyring (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Update d/watch to use pypi.debian.net.
  * Policy bumped to 3.9.8 without changes.

 -- Christoph Mathys <eraserix@gmail.com>  Sun, 29 May 2016 13:38:27 +0200

mercurial-keyring (1.1.2-1) unstable; urgency=medium

  * New upstream release.
    - Add dependency to mercurial-extension-utils. Upstream has split the
      original extension into a library and the extension part.
  * Policy bumped to 3.9.7 without changes.
  * Fix warning dep5-copyright-license-name-not-unique.

 -- Christoph Mathys <eraserix@gmail.com>  Mon, 11 Apr 2016 17:41:30 +0200

## mercurial-keyring 1.1.7

=== debian/changelog ===
mercurial-keyring (1.1.7-1) unstable; urgency=medium

  * New upstream release

 -- Christoph Mathys <eraserix@gmail.com>  Sun, 18 Dec 2016 20:59:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Christoph Mathys <eraserix@gmail.com>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-setuptools, dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://pypi.python.org/pypi/mercurial_keyring
 X-Python-Version: >= 2.4
 
 Package: mercurial-keyring
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, mercurial
+Depends: ${python:Depends}, ${misc:Depends}, mercurial, mercurial-extension-utils
 Description: Mercurial Keyring Extension
  mercurial_keyring is a Mercurial extension used to securely save HTTP
  and SMTP authentication passwords in password databases (GNOME Keyring,

## mercurial-keyring 1.1.8

=== debian/changelog ===
mercurial-keyring (1.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat to 10.

 -- Christoph Mathys <eraserix@gmail.com>  Sun, 04 Jun 2017 12:55:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Christoph Mathys <eraserix@gmail.com>
-Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-setuptools, dh-python
+Build-Depends: debhelper (>= 10), python-all (>= 2.6.6-3~), python-setuptools, dh-python
 Standards-Version: 3.9.8
 Homepage: http://pypi.python.org/pypi/mercurial_keyring
 X-Python-Version: >= 2.4

## mercurial-keyring 1.2.0

=== debian/changelog ===
mercurial-keyring (1.2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #909004)
  * Bump compat to 11 without changes.
  * Bump std version to 4.2.1 without changes.

 -- Christoph Mathys <eraserix@gmail.com>  Tue, 02 Oct 2018 21:58:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Christoph Mathys <eraserix@gmail.com>
-Build-Depends: debhelper (>= 10), python-all (>= 2.6.6-3~), python-setuptools, dh-python
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11), python-all (>= 2.6.6-3~), python-setuptools, dh-python
+Standards-Version: 4.2.1
 Homepage: http://pypi.python.org/pypi/mercurial_keyring
-X-Python-Version: >= 2.4
+X-Python-Version: all
+XB-Python-Version: ${python:Versions}
 
 Package: mercurial-keyring
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mercurial_keyring/mercurial_keyring-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mercurial-keyring 1.3.0

=== debian/changelog ===
mercurial-keyring (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #947296

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Jul 2020 01:28:22 -0400

mercurial-keyring (1.3.0-2) unstable; urgency=medium

  [ Christoph Mathys ]
  * Use secure URI in Homepage field.
  * Change package maintainer to python-modules-team.
  * Update dates in d/copyright.
  * Update std version to 4.5.0.

  [ Andrej Shadura ]
  * Wrap and sort.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 24 Mar 2020 18:41:41 +0100

mercurial-keyring (1.3.0-1) unstable; urgency=medium

  [ Christoph Mathys ]
  * New upstream release.
  * Support python2 and python3 (Closes: #937012)
  * Update Standards-Version and compat.
  * Add Upstream-Contact to d/copyright.

  [ Andrej Shadura ]
  * d/control: Add Vcs-* field.

 -- Christoph Mathys <eraserix@gmail.com>  Wed, 04 Dec 2019 20:56:19 +0100

=== debian/control ===
Source: mercurial-keyring
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Christoph Mathys <eraserix@gmail.com>,
 Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools
Standards-Version: 4.5.0
Homepage: https://pypi.python.org/pypi/mercurial_keyring
Vcs-Browser: https://salsa.debian.org/python-team/modules/mercurial-keyring
Vcs-Git: https://salsa.debian.org/python-team/modules/mercurial-keyring.git

Package: mercurial-keyring
Architecture: all
Depends:
 mercurial,
 mercurial-extension-utils (>= 1.5.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Mercurial Keyring Extension
 mercurial_keyring is a Mercurial extension used to securely save HTTP
 and SMTP authentication passwords in password databases (GNOME Keyring,
 KDE KWallet, OSXKeyChain, specific solutions for Win32 and command line).
 This extension uses and wraps services of the keyring library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME="mercurial-keyring"

%:
	dh $@ --with python3 --buildsystem=pybuild

## mercurial-keyring 1.3.1

=== debian/changelog ===
mercurial-keyring (1.3.1-3) unstable; urgency=medium

  * Update Vcs-* after the repository move.
  * Enable autodep8 CI.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 21 Sep 2020 17:45:59 +0200

mercurial-keyring (1.3.1-2) unstable; urgency=medium

  * Fix PYBUILD_NAME.
  * Build-depend on python3-mercurial-extension-utils,
    drop py3dist-overrides.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 06 Sep 2020 17:31:03 +0200

mercurial-keyring (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Depend on python3-mercurial-extension-utils.
  * Update compat to 13.

 -- Christoph Mathys <eraserix@gmail.com>  Sun, 06 Sep 2020 13:52:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,21 @@
  Christoph Mathys <eraserix@gmail.com>,
  Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-mercurial-extension-utils,
  python3-setuptools
 Standards-Version: 4.5.0
+Testsuite: autopkgtest-pkg-python
 Homepage: https://pypi.python.org/pypi/mercurial_keyring
-Vcs-Browser: https://salsa.debian.org/python-team/modules/mercurial-keyring
-Vcs-Git: https://salsa.debian.org/python-team/modules/mercurial-keyring.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/mercurial-keyring
+Vcs-Git: https://salsa.debian.org/python-team/packages/mercurial-keyring.git
 
 Package: mercurial-keyring
 Architecture: all
 Depends:
  mercurial,
- mercurial-extension-utils (>= 1.5.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Mercurial Keyring Extension

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME = mercurial-keyring

%:
	dh $@ --with python3 --buildsystem=pybuild

## mercurial-keyring 1.4.3

=== debian/changelog ===
mercurial-keyring (1.4.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.

  [ Christoph Mathys ]
  * New upstream release (Closes: #988795).
  * Update std version to 4.6.0.
  * Update homepage to upstream repo.
  * Update watchfile version.

 -- Christoph Mathys <eraserix@gmail.com>  Mon, 25 Apr 2022 13:21:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mercurial-keyring
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Christoph Mathys <eraserix@gmail.com>,
  Andrej Shadura <andrewsh@debian.org>
@@ -11,9 +11,9 @@
  python3-all,
  python3-mercurial-extension-utils,
  python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Testsuite: autopkgtest-pkg-python
-Homepage: https://pypi.python.org/pypi/mercurial_keyring
+Homepage: https://foss.heptapod.net/mercurial/mercurial_keyring
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mercurial-keyring
 Vcs-Git: https://salsa.debian.org/python-team/packages/mercurial-keyring.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mercurial_keyring/mercurial_keyring-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mercurial-keyring 1.4.4

=== debian/changelog ===
mercurial-keyring (1.4.4-1) unstable; urgency=medium

  * d/watch: Fix uscan error.
  * New upstream release.
  * Update dates in d/copyright.

 -- Christoph Mathys <eraserix@gmail.com>  Sun, 27 Apr 2025 09:29:12 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-mercurial-extension-utils,
  python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-python
 Homepage: https://foss.heptapod.net/mercurial/mercurial_keyring
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mercurial-keyring

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME = mercurial-keyring

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mercurial-keyring/mercurial_keyring-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
